#!/bin/bash

# Define log files and machine names (referencing one directory above with ../)
declare -A logs_and_machines=(
    ["../vm1.log"]="vm1.log"
    ["../vm2.log"]="vm2.log"
    ["../vm3.log"]="vm3.log"
    ["../vm4.log"]="vm4.log"
    ["../vm5.log"]="vm5.log"
)

# Iterate over log files
for log_file in "${!logs_and_machines[@]}"; do
    if [[ -f "$log_file" ]]; then
        # Start the timer
        start_time=$(date +%s.%N)
        
        # Count the number of lines with 'GET'
        line_count=$(grep -c 'GET' "$log_file")
        
        # Calculate the time taken
        end_time=$(date +%s.%N)
        elapsed_time=$(echo "$end_time - $start_time" | bc)
        
        # Output the machine name and the count of lines
        echo "From Machine: ${logs_and_machines[$log_file]}, $line_count lines matched"
    else
        echo "From Machine: ${logs_and_machines[$log_file]}, 0 lines matched (file not found)"
    fi
done

